CHRT(1)

BEZEICHNUNG
chrt - die Echtzeitattribute eines Prozesses manipulieren

ÜBERSICHT
chrt [Optionen] Priorität Befehl [Argument...]
chrt [Optionen] -p [Priorität] PID

BESCHREIBUNG

chrt setzt oder ermittelt die Echtzeit-Scheduling-Attribute eines existierenden Prozesses mit der Kennung PID oder führt einen Befehl mit den angegebenen Attributen aus. Sowohl die Scheduling-Regel (SCHED_OTHER, SCHED_FIFO, SCHED_RR, SCHED_BATCH oder SCHED_IDLE) und die Priorität können gesetzt und auch ermittelt werden.

Die SCHED_BATCH-Regel wird seit Linux 2.6.16 unterstützt. Die SCHED_IDLE-Regel wird seit Linux 2.6.23 unterstützt.

Der SCHED_RESET_ON_FORK-Schalter für die Regeln SCHED_RR und SCHED_FIFO wird seit Linux 2.6.31 unterstützt.

OPTIONEN

-a, --all-tasks
    setzt oder ermittelt die Scheduling-Attribute aller Prozesse (Threads) für eine gegebene Kennung (PID).

-b, --batch
    setzt die Scheduling-Regel auf SCHED_BATCH (Linux-spezifisch). Das Prioritäts-Argument muss auf Null gesetzt werden.

-f, --fifo
    setzt die Scheduling-Regel auf SCHED_FIFO.

-i, --idle
    setzt die Scheduling-Regel auf SCHED_IDLE (Linux-spezifisch). Das Prioritäts-Argument muss auf Null gesetzt werden.

-m, --max
    zeigt die minimal und maximal möglichen Prioritäten und beendet dann das Programm.

-o, --other
    setzt die Scheduling-Regel auf SCHED_OTHER.

-p, --pid
    verwendet eine vorhandene Prozesskennung (PID), anstatt einen neuen Prozess zu starten.

-R, --reset-on-fork
    fügt den SCHED_RESET_ON_FORK-Schalter zu den Scheduling-Regeln SCHED_FIFO oder SCHED_RR hinzu (Linux-spezifisch).

-r, --rr
    setzt die Scheduling-Regel auf SCHED_RR. Wenn keine Regel definiert ist, wird SCHED_RR als Vorgabe verwendet.

-v, --verbose
    zeigt Statusinformationen an.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

VERWENDUNG

Das Standardverhalten ist die Ausführung eines neuen Befehls:
    chrt Priorität Befehl [Argumente]

Sie können auch die Echtzeitattribute eines existierenden Prozesses ermitteln:
    chrt -p PID

Oder sie festlegen:
    chrt -r -p Priorität PID

ZUGRIFFSRECHTE
Ein Benutzer muss über CAP_SYS_NICE verfügen, um die Scheduling-Attribute eines Prozesses zu ändern. Die Ermittlung der Scheduling-Attribute ist allen Benutzern erlaubt.

ANMERKUNGEN
Nur SCHED_FIFO, SCHED_OTHER und SCHED_RR sind Teil des Prozess-Schedulings nach POSIX 1003.1b. Die anderen Scheduling-Attribute können auf einigen Systemen ignoriert werden.

Die unter Linux vorgegebene Scheduling-Regel ist SCHED_OTHER.

SIEHE AUCH
taskset(1), nice(1), renice(1)

In sched_setscheduler(2) finden Sie eine Beschreibung des Scheduling-Schemas in Linux.

AUTOR
Geschrieben von Robert M. Love.

COPYRIGHT
Copyright © 2004 Robert M. Love. Dies ist freie Software, in den Quellen finden Sie die Bedingungen zur Vervielfältigung und Weitergabe. Es gibt KEINE Garantie, auch nicht für die MARKTREIFE oder die TAUGLICHKEIT FÜR EINEN BESTIMMTEN ZWECK.

VERFÜGBARKEIT
Der Befehl chrt ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.